%% plot_roc.m

load nips_rocs.mat;

figure;
for ii = 1:length(roc)
  subplot(3,4,ii);
  loglog(roc(ii).svm.pf,roc(ii).svm.pd,'b');
  hold on;
  loglog(roc(ii).no_cluster.pf,roc(ii).no_cluster.pd,'r');
  loglog(roc(ii).cluster.pf,roc(ii).cluster.pd,'g');
  axis([1e-4 1e-1 1e-1 1]);
  title(roc(ii).objName);
end
